       real*8 mean, rr, bb, gg, fl1, fl2
       integer x, y, z, w, q, f

       dimension a(1)
       dimension b(10000000)
       dimension c(10000000)
       dimension d(10000000)
       dimension e(10000000)
       dimension g(2)

       open (1,file='no')
       read (1,*) (a(x), x=1, 1)

       n = a(1)

       open (2,file='time')
       read (2,*) (b(y), y=1, n)

       open (3,file='rflux')
       read (3,*) (c(z), z=1, n)

c       open (4,file='gflux')
c       read (4,*) (d(w), w=1, n)

c       open (5,file='bflux')
c       read (5,*) (e(q), q=1, n)

       open (6,file='mmean')
       read (6,*) (g(f), f=1, 2)

       fl1 = g(1)/g(2)

       
       do i=1, n
       write (7,*) (g(2)+c(i))*fl1
       end do

       end 


